Csv Export Incomplete Sessions

Csv Export Incomplete Sessions
Export Incomplete TCP flow Sessions in csv file

Export Incomplete TCP flow Sessions in csv file

Request
URI
POST
https://{api_host}/api/ni/flows/tcp-incomplete/csv-export
COPY
Query Parameters
string
destination_vm_entity_id
Required

Destination VM Entity ID

integer
resolution_in_minutes
Required

Metric point interval. Supported values are 5 or 30 minutes.

integer
end_time
Required

End time for query in epoch milli seconds.

integer
limit
Required

limit for paged list response.


Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns file of type(s) application/octet-stream
Operation doesn't return any data structure

401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/api/ni/flows/tcp-incomplete/csv-export